selfService

# Class: selfServiceProfile

Source Location: /lib/selfService.inc

### Class Overview

Includes all settings of a self service profile.

### Variables

- $additionalCSS
- $httpAuthentication
- $inputFields
- $LDAPPassword
- $LDAPSuffix
- $LDAPUser
- $loginAttributeText
- $loginCaption
- $mainPageText
- $moduleSettings
- $pageHeader
- $searchAttribute
- $serverURL
- $useTLS

### Methods

- __construct

### Class Details

[line 256]
Includes all settings of a self service profile.
[ Top ]

### Class Variables

#### $additionalCSS =

[line 283]

list of additional CSS links (separated by \n)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $httpAuthentication =

[line 277]

HTTP authentication

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $inputFields =

[line 298]

input fields

Format: array(<module> => array(array('name' => <group name>, 'fields' => array(<field1>, <field2>))))

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPPassword =

[line 271]

LDAP password

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPSuffix =

[line 265]

LDAP suffix

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPUser =

[line 268]

LDAP user DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $loginAttributeText =

[line 289]

describing text for search attribute

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $loginCaption =

[line 286]

describing text for user login

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $mainPageText =

[line 292]

describing text for self service main page

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $moduleSettings =

[line 301]

configuration settings of modules

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $pageHeader =

[line 280]

header for self service pages

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $searchAttribute =

[line 274]

LDAP search attribute

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $serverURL =

[line 259]

server address

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $useTLS =

[line 262]

use TLS

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 308]

`selfServiceProfile __construct( )`

Constructor
[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:10 +0100 by phpDocumentor 1.4.1